// Generated by gencpp from file thesis_pad/Comunication.msg
// DO NOT EDIT!


#ifndef THESIS_PAD_MESSAGE_COMUNICATION_H
#define THESIS_PAD_MESSAGE_COMUNICATION_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace thesis_pad
{
template <class ContainerAllocator>
struct Comunication_
{
  typedef Comunication_<ContainerAllocator> Type;

  Comunication_()
    : sender()
    , addressee()
    , r_num(0)
    , taken(false)
    , arrived(false)
    , failed(false)  {
    }
  Comunication_(const ContainerAllocator& _alloc)
    : sender(_alloc)
    , addressee(_alloc)
    , r_num(0)
    , taken(false)
    , arrived(false)
    , failed(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _sender_type;
  _sender_type sender;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _addressee_type;
  _addressee_type addressee;

   typedef int64_t _r_num_type;
  _r_num_type r_num;

   typedef uint8_t _taken_type;
  _taken_type taken;

   typedef uint8_t _arrived_type;
  _arrived_type arrived;

   typedef uint8_t _failed_type;
  _failed_type failed;





  typedef boost::shared_ptr< ::thesis_pad::Comunication_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::thesis_pad::Comunication_<ContainerAllocator> const> ConstPtr;

}; // struct Comunication_

typedef ::thesis_pad::Comunication_<std::allocator<void> > Comunication;

typedef boost::shared_ptr< ::thesis_pad::Comunication > ComunicationPtr;
typedef boost::shared_ptr< ::thesis_pad::Comunication const> ComunicationConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::thesis_pad::Comunication_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::thesis_pad::Comunication_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::thesis_pad::Comunication_<ContainerAllocator1> & lhs, const ::thesis_pad::Comunication_<ContainerAllocator2> & rhs)
{
  return lhs.sender == rhs.sender &&
    lhs.addressee == rhs.addressee &&
    lhs.r_num == rhs.r_num &&
    lhs.taken == rhs.taken &&
    lhs.arrived == rhs.arrived &&
    lhs.failed == rhs.failed;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::thesis_pad::Comunication_<ContainerAllocator1> & lhs, const ::thesis_pad::Comunication_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace thesis_pad

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Comunication_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Comunication_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Comunication_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Comunication_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Comunication_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Comunication_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::thesis_pad::Comunication_<ContainerAllocator> >
{
  static const char* value()
  {
    return "3869228eba3216950749fcb9838c091b";
  }

  static const char* value(const ::thesis_pad::Comunication_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x3869228eba321695ULL;
  static const uint64_t static_value2 = 0x0749fcb9838c091bULL;
};

template<class ContainerAllocator>
struct DataType< ::thesis_pad::Comunication_<ContainerAllocator> >
{
  static const char* value()
  {
    return "thesis_pad/Comunication";
  }

  static const char* value(const ::thesis_pad::Comunication_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::thesis_pad::Comunication_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string sender\n"
"string addressee\n"
"int64 r_num\n"
"bool taken\n"
"bool arrived\n"
"bool failed\n"
;
  }

  static const char* value(const ::thesis_pad::Comunication_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::thesis_pad::Comunication_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.sender);
      stream.next(m.addressee);
      stream.next(m.r_num);
      stream.next(m.taken);
      stream.next(m.arrived);
      stream.next(m.failed);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Comunication_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::thesis_pad::Comunication_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::thesis_pad::Comunication_<ContainerAllocator>& v)
  {
    s << indent << "sender: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.sender);
    s << indent << "addressee: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.addressee);
    s << indent << "r_num: ";
    Printer<int64_t>::stream(s, indent + "  ", v.r_num);
    s << indent << "taken: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.taken);
    s << indent << "arrived: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.arrived);
    s << indent << "failed: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.failed);
  }
};

} // namespace message_operations
} // namespace ros

#endif // THESIS_PAD_MESSAGE_COMUNICATION_H
